## golang-github-cloudflare-redoctober 0.0~git20161017.0.78e9720

=== Makefile ===
.PHONY: docker
docker:
	@docker build -t cloudflare/redoctober:$(shell git rev-parse --short HEAD) .
	@docker tag cloudflare/redoctober:$(shell git rev-parse --short HEAD) cloudflare/redoctober:latest

=== debian/changelog ===
golang-github-cloudflare-redoctober (0.0~git20161017.0.78e9720-5) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Add missing build dependency on golang-golang-x-crypto-dev.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Shengjing Zhu ]
  * Add golang-golang-x-crypto-dev to Depends too
  * Update Section to golang
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Update debhelper-compat to 13
  * Update Standards-Version to 4.5.1 (no changes)
  * Add Rules-Requires-Root
  * Add uscan watch file
  * Fix duplicate-short-description

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 27 Nov 2020 22:37:12 +0800

golang-github-cloudflare-redoctober (0.0~git20161017.0.78e9720-4) unstable; urgency=medium

  * Team upload.
  * Add patch that fixes compilation errors from using now-removed deprecated
    Prometheus APIs.

 -- Martina Ferrari <tincho@debian.org>  Sun, 03 Nov 2019 01:00:31 +0000

golang-github-cloudflare-redoctober (0.0~git20161017.0.78e9720-3) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * Team upload
  * Bump compat
  * Update debian copyright url
  * Set priority to optional
  * Bump debhelper requirement, drop dh-systemd
  * Bump standards-version
  * Sort dependencies in control file
  * Add autopkg testsuite
  * Exclude vendor directory
  * Patch to build against systemd-go v17 (Closes: #907432)

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

 -- Alexandre Viau <aviau@debian.org>  Mon, 17 Sep 2018 13:09:23 +1000

golang-github-cloudflare-redoctober (0.0~git20161017.0.78e9720-2) unstable; urgency=medium

  * Replace golang-go with golang-any in Build-Depends, remove golang-go from
    Depends

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 08 Aug 2017 18:44:11 +0300

golang-github-cloudflare-redoctober (0.0~git20161017.0.78e9720-1) unstable; urgency=medium

  * Initial release (Closes: #844477)

 -- Tim Potter <tpot@hpe.com>  Thu, 03 Nov 2016 14:30:20 +1100

=== debian/control ===
Source: golang-github-cloudflare-redoctober
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-coreos-go-systemd-dev (>= 17~),
               golang-github-prometheus-client-golang-dev,
               golang-golang-x-crypto-dev,
Standards-Version: 4.5.1
Homepage: https://github.com/cloudflare/redoctober
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cloudflare-redoctober
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cloudflare-redoctober.git
XS-Go-Import-Path: github.com/cloudflare/redoctober
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: golang-github-cloudflare-redoctober-dev
Architecture: all
Depends: golang-github-coreos-go-systemd-dev (>= 17~),
         golang-github-prometheus-client-golang-dev,
         golang-golang-x-crypto-dev,
         ${misc:Depends},
Description: Software-based two-man rule style (development files)
 Red October is a software-based two-man rule style encryption and
 decryption server.  The two-man rule is a control mechanism designed
 to achieve a high level of security by requiring the presence of two
 authorized people at all times. In the case of Red October the
 two-man rule is implemented by encrypting data in such as way as to
 require two authorised key-holds to decrypt it.
 .
 This package contains the development files.

Package: golang-redoctober
Architecture: any
Built-Using: ${misc:Built-Using},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Software-based two-man rule style encryption and decryption server
 Red October is a software-based two-man rule style encryption and
 decryption server.  The two-man rule is a control mechanism designed
 to achieve a high level of security by requiring the presence of two
 authorized people at all times. In the case of Red October the
 two-man rule is implemented by encrypting data in such as way as to
 require two authorised key-holds to decrypt it.
 .
 This package contains the server and command-line client.

=== debian/watch ===
version=4

opts="mode=git, pgpmode=none" \
https://github.com/cloudflare/redoctober.git \
HEAD
